#========================================================================================
# package      DE_EPAGES::ShopMailType::API::Attributes::Shop_Ext
# state        private
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Implements the attribute DummyCustomerAddress
#========================================================================================
package DE_EPAGES::ShopMailType::API::Attributes::Shop_Ext;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use DE_EPAGES::Object::API::Factory qw( LoadObjectByPath );


use strict;
#========================================================================================
# function     getAttributes
# state        private
# syntax       $Value = $Object->get($AttributeName);
#========================================================================================
sub getAttributes {
    shift;
    my ($Object, $aNames) = @_;
    my $hInfo = {};
    foreach my $Name (@$aNames) {
        if($Name eq 'DummyCustomerAddressID') {
            $hInfo->{$Name} = _selectDummyCustomerAddress($Object);
        }
    }
    return $hInfo;
}

sub _selectDummyCustomerAddress() {
    my ($Shop) = @_;
    my $DummyCustomerAddressesObject = LoadObjectByPath('/DummyCustomerAddresses');
    my $ShopLocale = $Shop->get('LocaleID');
    my @Dialect = split(/_/,$ShopLocale);
    my $DialectValue = $Dialect[1];

    # Set default Address data if not exists
    if ($DummyCustomerAddressesObject->existsChild('DummyCustomerAddress_'.$DialectValue)) {
       return $DummyCustomerAddressesObject->child('DummyCustomerAddress_'.$DialectValue)->id();
    } else {
        return $DummyCustomerAddressesObject->child('DummyCustomerAddress_GB')->id();
    }
}

1;

